package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="WorkRole", description="角色实体类")
public class WorkRole {

    @ApiModelProperty(name = "id",value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(name = "name",value = "角色名")
    private String name;

    @ApiModelProperty(name = "onlyOne",value = "是否只能有一个：0：多个，1：一个")
    private Integer onlyOne;
}
